package com.bonus.common.houqin.utils;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(
   prefix = "data-config"
)
public class DataEncDecProperties {
   public static final String PREFIX = "data-config";
   private String sm4Key;
   private boolean encrypted;
   private boolean desensitization;

   public String getSm4Key() {
      return this.sm4Key;
   }

   public boolean isEncrypted() {
      return this.encrypted;
   }

   public boolean isDesensitization() {
      return this.desensitization;
   }

   public void setSm4Key(final String sm4Key) {
      this.sm4Key = sm4Key;
   }

   public void setEncrypted(final boolean encrypted) {
      this.encrypted = encrypted;
   }

   public void setDesensitization(final boolean desensitization) {
      this.desensitization = desensitization;
   }

}
